package http_model

import "youngee_b_api/model/gorm_model"

type FindAllJobRequest struct {
	EnterpriseId string `json:"enterprise_id"` // 子账号属于的企业id
}

type FindAllJobInfo struct {
}

type FindAllJobData struct {
	JobInfo []*gorm_model.YounggeeJob `json:"job_info"` // 岗位信息
	Total   int64                     `json:"total"`    // 总数
}

func NewFindAllJobRequest() *FindAllJobRequest {
	return new(FindAllJobRequest)
}

func NewFindAllJobResponse() *CommonResponse {
	resp := new(CommonResponse)
	resp.Data = new(FindAllJobData)
	return resp
}
